Skip to main content
GET
List support channels

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

view
enum<string>

Filter support channels by the authenticated user's role. Defaults to admin. When the caller is a company API key (no user), only admin-visible channels are returned.

Available options:
all,
admin,
customer
open
boolean

Whether to filter by open or resolved support channels. Set to true to only return channels awaiting a response, or false for resolved channels.

customer_user_id
string

Only return support channels opened by this customer.

customer_user_ids
string[]

Only return support channels opened by any of these customers. Maximum 100 IDs per request.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

participated
boolean

Set to true to only return channels the authenticated user has joined as a participant. Requires a user.

include_last_message
boolean

Set to true to return last_message and unread on each channel. Both are null otherwise, which keeps large lists fast.

include_participated
boolean

Set to true to return participated on each channel. It is null otherwise, which keeps large lists fast.

direction
enum<string>

The sort direction for the results. Use 'asc' for oldest first or 'desc' for newest first.

Available options:
asc,
desc
order
enum<string>

The field to sort the support channels by, such as creation date or last message time.

Available options:
created_at,
last_post_sent_at
account_id
string

The unique identifier of the company to list support channels for. Includes channels of child companies. When omitted, returns support channels across all companies the user has access to.

Example:

"biz_xxxxxxxxxxxxxx"

Response

A successful response

The connection type for DmsFeed.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.